Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » M2M (model-to-model transformation) » [ATL] Problems installing ATL in Papyrus(Problems installing ATL in Papyrus)
[ATL] Problems installing ATL in Papyrus [message #642538] Wed, 01 December 2010 17:41 Go to next message
Luciane Agner is currently offline Luciane Agner
Messages: 1
Registered: December 2010
Junior Member
I need to use "ATL Transformation" in Papyrus.
I tried to install the file m2m-atl-Update-3.1.1.zip in Papyrus, using the resource "Help  Install New Software" but the following error message appears:

An error occurred during the org.eclipse.equinox.internal.provisional.p2.engine.phases.Ch eckTrust phase.
session context was:(profile=profile, phase=org.eclipse.equinox.internal.provisional.p2.engine.pha ses.CheckTrust, operand=null --> [R]org.antlr.runtime 3.0.0.v200803061811, action=).

java.lang.NullPointerException

could you help me please?
Thanks
Luciane Agner
Re: [ATL] Problems installing ATL in Papyrus [message #642645 is a reply to message #642538] Thu, 02 December 2010 07:16 Go to previous messageGo to next message
William Piers is currently offline William Piers
Messages: 297
Registered: July 2009
Senior Member
This is a multi-part message in MIME format.
--------------050605060509050600010703
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

Hello,

During the installation, there is a page named "Selection needed" which
displays certificates and asks "Do you trust these certificates?"
Below is a list of certificates with checkboxes above (in our case,
there is only one checkbox).
You have to check it before doing "Ok" in order to avoid the problem.

Best regards,

William

Le 01/12/2010 18:41, Luciane Agner a écrit :
> I need to use "ATL Transformation" in Papyrus. I tried to install the
> file m2m-atl-Update-3.1.1.zip in Papyrus, using the resource "Help 
> Install New Software" but the following error message appears:
>
> An error occurred during the
> org.eclipse.equinox.internal.provisional.p2.engine.phases.Ch eckTrust
> phase.
> session context was:(profile=profile,
> phase=org.eclipse.equinox.internal.provisional.p2.engine.pha
> ses.CheckTrust, operand=null --> [R]org.antlr.runtime
> 3.0.0.v200803061811, action=).
>
> java.lang.NullPointerException
>
> could you help me please?
> Thanks
> Luciane Agner

--------------050605060509050600010703
Content-Type: text/x-vcard; charset=utf-8;
name="william_piers.vcf"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
filename="william_piers.vcf"

YmVnaW46dmNhcmQNCmZuOldpbGxpYW0gUGllcnMNCm46UGllcnM7V2lsbGlh bQ0Kb3JnOk9i
ZW8NCmFkcjoyIHJ1ZSBSb2JlcnQgU2NodW1hbm47O2xvdCAyNDtOQU5URVM7 OzQ0NDA4O0Zy
YW5jZQ0KZW1haWw7aW50ZXJuZXQ6d2lsbGlhbS5waWVyc0BvYmVvLmZyDQp0 aXRsZTpNREEg
Q29uc3VsdGFudA0KdGVsO3dvcms6KzMzICgwKTIgNTEgMTMgNTAgNTMNCnVy bDpodHRwOi8v
d3d3Lm9iZW8uZnINCnZlcnNpb246Mi4xDQplbmQ6dmNhcmQNCg0K
--------------050605060509050600010703--
Re: [ATL] Problems installing ATL in Papyrus [message #642694 is a reply to message #642645] Thu, 02 December 2010 12:02 Go to previous messageGo to next message
Lu  is currently offline Lu
Messages: 4
Registered: December 2010
Junior Member
Hi Willian,
I really appreciate your answer, thanks.

I've been trying to reinstall the ATL but the page named "Selection needed"doesn´t appeared, so I can´t check "Do you trust these certificates?".

Thanks again.
Luciane Agner
[SOLVED] [ATL] Problems installing ATL in Papyrus [message #643551 is a reply to message #642538] Tue, 07 December 2010 11:22 Go to previous message
Lu  is currently offline Lu
Messages: 4
Registered: December 2010
Junior Member
Thanks a lot.
It´s work

Luciane
Previous Topic:[QVTO] map versus xmap
Next Topic:[ATL] output resource content changes once serialized and reloaded
Goto Forum:
  


Current Time: Thu Oct 02 14:43:30 GMT 2014

Powered by FUDForum. Page generated in 0.02985 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software